> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/haut.ai-features/algorithms/face-metrics-2-0/pores-algorithm.md).

# Pores Algorithm

What the Pores Algorithm measures, the metrics it returns, and the lighting and resolution an image needs for reliable pore detection.

## About Algorithm

{% hint style="warning" %}
**Disclaimer about algorithm sensitivity**:

The Pores Algorithm is sensitive to the intensity of illumination and spatial resolution of the image.

The insufficient intensity of the light (light amount less than a cloudy day light) may lead to insufficient detection of pores.

Insufficient image spatial resolution (less than 2500 pixels) may lead to insufficient detection of pores.
{% endhint %}

1. This Algorithm estimates the visible presence and density of pores.
2. This Algorithm estimates indicated skin health parameters on: forehead, right cheek, left cheek, and nose areas.
3. The Main Metric for this Algorithm is the Pores Score, with a range from 0 to 100.
   1. Values from 70 to 100 are considered as a relatively good skin condition.
   2. Values from 30 to 70 are considered as visible pores presence with either enlarged pores or increased pores density. It is worth noticing that for some ethnicity groups, this presence might be normal due to the natural phenotype difference.
   3. Values below 30 are considered as an alerting skin condition, that might require specialist attention.
   4. Pores Score is a non-linear combination of the Submetrics.
4. There are several Submetrics for this Algorithm:
   * Pores Number
   * Pores Density

***

## Algorithm API

{% hint style="warning" %}
API access is available only for <mark style="color:purple;">**Professional**</mark> plan clients
{% endhint %}

See [Pores Result Scheme](/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/pores.md).

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/ai-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Platform overview on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/haut.ai-features/algorithms/face-metrics-2-0/pores-algorithm.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
